package com.dayou.controller;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.controller.BaseController;
import com.dayou.service.IItemBrokerageSequenceService;
import com.dayou.entity.ItemBrokerageSequence;
import com.dayou.common.RestResponse;
import org.springframework.web.bind.annotation.*;
import com.dayou.utils.ConvertUtil;
import com.dayou.utils.HttpKit;
import com.dayou.exception.ErrorCode;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.http.MediaType;
import org.springframework.web.multipart.MultipartFile;
/**
 * 项目提成流水
 *
 * @author wucl
 * @since 2023-03-03
 */
@RestController
@RequestMapping("itemBrokerageSequence")
@Slf4j
public class ItemBrokerageSequenceController extends BaseController {
    @Autowired
    private IItemBrokerageSequenceService itemBrokerageSequenceService;

    /**
    * 项目提成流水列表
    */
    @GetMapping("")
    public RestResponse<Page<ItemBrokerageSequence>> page(ItemBrokerageSequence itemBrokerageSequence, Page page){
        Page<ItemBrokerageSequence> pages=itemBrokerageSequenceService.selectPage(page,itemBrokerageSequence);
        return RestResponse.data(pages);
    }

    /**
     * 项目提成流水详情
     */
    @GetMapping("/{id}")
    public RestResponse<ItemBrokerageSequence> detail(@PathVariable Long id){
        ItemBrokerageSequence xItemBrokerageSequence =itemBrokerageSequenceService.detail(id);
        return RestResponse.data(xItemBrokerageSequence);
     }

    /**
     * 项目提成流水新增
     */
    @PostMapping("")
    public RestResponse<Boolean> save(@RequestBody ItemBrokerageSequence itemBrokerageSequence) {
        Boolean ret = itemBrokerageSequenceService.add(itemBrokerageSequence);
        return RestResponse.data(ret);
    }

    /**
     * 项目提成流水更新
     */
    @PutMapping("")
    public RestResponse<Boolean> update(@RequestBody ItemBrokerageSequence itemBrokerageSequence) {
        Boolean ret = itemBrokerageSequenceService.update(itemBrokerageSequence);
        return RestResponse.data(ret);
    }

    /**
     * 项目提成流水删除
     */
    @DeleteMapping("/{id}")
    public RestResponse<Boolean> delete(@PathVariable Long id) {
        Boolean ret = itemBrokerageSequenceService.delete(id);
        return RestResponse.data(ret);
    }


}

