package com.dayou.controller;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.controller.BaseController;
import com.dayou.service.IItemBrokerageSequenceDetailService;
import com.dayou.entity.ItemBrokerageSequenceDetail;
import com.dayou.common.RestResponse;
import org.springframework.web.bind.annotation.*;
import com.dayou.utils.ConvertUtil;
import com.dayou.utils.HttpKit;
import com.dayou.exception.ErrorCode;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.http.MediaType;
import org.springframework.web.multipart.MultipartFile;
/**
 * 提成流水明细表
 *
 * @author wucl
 * @since 2023-03-03
 */
@RestController
@RequestMapping("itemBrokerageSequenceDetail")
@Slf4j
public class ItemBrokerageSequenceDetailController extends BaseController {
    @Autowired
    private IItemBrokerageSequenceDetailService itemBrokerageSequenceDetailService;

    /**
    * 提成流水明细表列表
    */
    @GetMapping("")
    public RestResponse<Page<ItemBrokerageSequenceDetail>> page(ItemBrokerageSequenceDetail itemBrokerageSequenceDetail, Page page){
        Page<ItemBrokerageSequenceDetail> pages=itemBrokerageSequenceDetailService.selectPage(page,itemBrokerageSequenceDetail);
        return RestResponse.data(pages);
    }

    /**
     * 提成流水明细表详情
     */
    @GetMapping("/{id}")
    public RestResponse<ItemBrokerageSequenceDetail> detail(@PathVariable Long id){
        ItemBrokerageSequenceDetail xItemBrokerageSequenceDetail =itemBrokerageSequenceDetailService.detail(id);
        return RestResponse.data(xItemBrokerageSequenceDetail);
     }

    /**
     * 提成流水明细表新增
     */
    @PostMapping("")
    public RestResponse<Boolean> save(@RequestBody ItemBrokerageSequenceDetail itemBrokerageSequenceDetail) {
        Boolean ret = itemBrokerageSequenceDetailService.add(itemBrokerageSequenceDetail);
        return RestResponse.data(ret);
    }

    /**
     * 提成流水明细表更新
     */
    @PutMapping("")
    public RestResponse<Boolean> update(@RequestBody ItemBrokerageSequenceDetail itemBrokerageSequenceDetail) {
        Boolean ret = itemBrokerageSequenceDetailService.update(itemBrokerageSequenceDetail);
        return RestResponse.data(ret);
    }

    /**
     * 提成流水明细表删除
     */
    @DeleteMapping("/{id}")
    public RestResponse<Boolean> delete(@PathVariable Long id) {
        Boolean ret = itemBrokerageSequenceDetailService.delete(id);
        return RestResponse.data(ret);
    }


}

