package com.dayou.annotation;

import com.dayou.enums.OperationTypeEnum;

import java.lang.annotation.*;

import static com.dayou.enums.OperationTypeEnum.DEFAULT_OP;

/**
 * 自定义操作日志记录注解
 *
 * @author ruoyi
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperLog {
    /**
     * 模块
     */
    public String title();

    /**
     * 功能 行为动作
     * 不填的话 默认根据 接口的方法来  post-> 新增;  put-> 修改  delete-> 删除
     */
    public OperationTypeEnum businessType() default DEFAULT_OP;

}
