package com.dayou.dto;

import com.dayou.bo.LoginCacheUserBO;
import com.dayou.bo.SimpleParentModel;
import com.dayou.common.SimpleListModel;
import com.dayou.common.SimpleModel;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class UserBaseDetailDTO {
    private Long id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证号
     */
    private String idNo;

    /**
     * 员工工号
     */
    private String staffNo;

    /**
     * 用户类型
     */
    private String userType;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 用户性别 男/女
     */
    private String sex;

    /**
     * 头像路径
     */
    private String avatar;

    /**
     * 登录账号
     */
    private String loginName;

    /**
     * 出生日期
     */
    private LocalDate birthday;

    /**
     * 岗位列表
     */
    private List<SimplePostModel> postList;

    /**
     * 部门列表
     */
    private List<SimpleParentModel> departmentList;


    /**
     * 用户缓存信息
     */
    private LoginCacheUserBO loginCacheUserBO;

    /**
     * 密码状态
     */
    private Boolean passwordState;
}
