package com.dayou.entity;
import com.dayou.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import java.util.List;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "客户表")
public class Customer extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 客户名称
     */
    @ImportCell(notNull = true)
    @ExportCell(columnName = "客户名称")
    private String name;

    /**
     * 省市县
     */
    @ImportCell
    @ExportCell(columnName = "市")
    private String city;

    /**
     * 区/县 （已弃用）
     */
    @ImportCell
    @ExportCell(columnName = "区/县")
    private String county;

    /**
     * 部门
     */
    @ImportCell
    @ExportCell(columnName = "部门")
    private String department;

    /**
     * 职位
     */
    @ImportCell
    @ExportCell(columnName = "职位")
    private String position;

    /**
     * 科室
     */
    @ImportCell
    @ExportCell(columnName = "科室")
    private String section;

    /**
     * 联系电话
     */
    @ImportCell
    @ExportCell(columnName = "联系电话")
    private String mobile;

    /**
     * 微信号
     */
    @ImportCell
    @ExportCell(columnName = "微信号")
    private String wechatNo;

    /**
     * QQ号
     */
    @TableField("QQ")
    @ImportCell
    @ExportCell(columnName = "QQ号")
    private String qq;

    /**
     * 客户等级
     */
    @ImportCell()
    @ExportCell(columnName = "客户等级")
    private String level;

    /**
     * 客户地址
     */
    @ImportCell
    @ExportCell(columnName = "客户地址")
    private String address;

    /**
     * 所属员工id
     */
    @ImportCell
    @ExportCell(columnName = "所属员工id")
    private Long userId;

}
