package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 机构
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "机构")
public class Department extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 父部门id
     */
    private Long parentId;

    /**
     * 部门名称
     */
    @ImportCell
    @ExportCell(columnName = "部门名称")
    private String name;

    /**
     * 负责人id
     */
    private Long leaderId;

    /**
     * 联系电话
     */
    @ImportCell
    @ExportCell(columnName = "联系电话")
    private String phone;


}
