package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 字典数据
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "字典数据")
public class DictData extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 字段类型id
     */
    private Long dictTypeId;

    /**
     * 字典排序
     */
    @ImportCell
    @ExportCell(columnName = "字典排序")
    private Integer dictSort;

    /**
     * 字典值
     */
    @ImportCell
    @ExportCell(columnName = "字典值")
    private String name;

    /**
     * 备注
     */
    @ImportCell
    @ExportCell(columnName = "备注")
    private String remark;

    /**
     * 是否可用:1:是 0:否
     */
    @ImportCell
    @ExportCell(columnName = "是否可用:1:是 0:否")
    private Boolean enabled;


}
