package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 地区
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
@Data
@ExcelSheet(sheetName = "地区")
public class Districts{

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 上级编号
     */
    @ImportCell
    @ExportCell(columnName = "上级编号")
    private Long pid;

    /**
     * 层级
     */
    @ImportCell
    @ExportCell(columnName = "层级")
    private Integer deep;

    /**
     * 名称
     */
    @ImportCell
    @ExportCell(columnName = "名称")
    private String name;

    /**
     * 拼音
     */
    @ImportCell
    @ExportCell(columnName = "拼音")
    private String pinyin;

    /**
     * 拼音缩写
     */
    @ImportCell
    @ExportCell(columnName = "拼音缩写")
    private String pinyinShor;

    /**
     * 扩展名
     */
    @ImportCell
    @ExportCell(columnName = "扩展名")
    private String extName;

    /**
     * 创建时间
     */
    @ImportCell
    @ExportCell(columnName = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ImportCell
    @ExportCell(columnName = "更新时间")
    private LocalDateTime updateTime;

    /**
     * 操作人
     */
    @ImportCell
    @ExportCell(columnName = "操作人")
    private String operator;

    /**
     * 顺序 权重
     */
    @ImportCell
    @ExportCell(columnName = "顺序 权重")
    private Integer weight;

    @ImportCell
    @ExportCell(columnName = "")
    private BigDecimal lon;

    @ImportCell
    @ExportCell(columnName = "")
    private BigDecimal lat;

    /**
     * 行政区划码
     */
    @ImportCell
    @ExportCell(columnName = "行政区划码")
    private String code;


}
