package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 项目提成明细
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目提成明细")
public class ItemBrokerageDetail extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目提成总表id
     */
    private Long generalId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 预计提成金额
     */
    private BigDecimal predictAmount;

    /**
     * 预提金额
     */
    private BigDecimal aheadAmount;
    /**
     * 实际提成金额
     */
    private BigDecimal actualAmount;

    /**
     * 已结算金额
     */
    private BigDecimal advanceAmount;

    /**
     * 提成规则
     */
    private String brokerageRule;

    /**
     * 提成方式
     */
    private String brokerageMode;

    /**
     * 项目提成阶段id(非市场人员用)
     */
    private Long brokerageStageId;


}
