package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 项目提成流水
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目提成流水")
@Builder
public class ItemBrokerageSequence extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 提成总金额
     */
    @ImportCell
    @ExportCell(columnName = "提成总金额")
    private BigDecimal brokerageAmount;

    /**
     * 提成体现
     */
    @ImportCell
    @ExportCell(columnName = "提成体现")
    private String embody;

    /**
     * 备注
     */
    @ImportCell
    @ExportCell(columnName = "备注")
    private String remark;

    /**
     * 结算类型（项目结算，默认预提）
     */
    private String cate;

}
