package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 提成流水明细表
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "提成流水明细表")
@Builder
public class ItemBrokerageSequenceDetail extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目提成明细表id
     */
    private Long brokerageDetailId;

    /**
     * 项目提成流水表id
     */
    private Long sequenceId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 提成金额
     */
    @ImportCell
    @ExportCell(columnName = "提成金额")
    private BigDecimal brokerageAmount;

    /**
     * 提成类型（预提，结算）
     */
    @ImportCell
    @ExportCell(columnName = "提成类型（预提，结算）")
    private String brokerageCate;

    /**
     * 提成总表id
     */
    @TableField(exist = false)
    private Long generalId;


}
