package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import java.math.BigDecimal;

/**
 * <p>
 * 项目人员阶段参与表
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@ExcelSheet(sheetName = "项目人员阶段参与表")
@Builder
public class ItemStageUser {

    private static final long serialVersionUID=1L;

    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 项目阶段id
     */
    private Long stageId;

    /**
     * 提成比例
     */
    private BigDecimal weight;


}
