package com.dayou.entity;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import net.sf.jsqlparser.expression.DateTimeLiteralExpression;

/**
 * <p>
 * 项目用户日志
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目用户日志")
public class ItemUserLog extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 日志日期
     */
    @ImportCell
    @ExportCell(columnName = "日志日期")
    private LocalDate logDate;

    /**
     * 每日任务情况
     */
    @ImportCell
    @ExportCell(columnName = "每日任务情况")
    private String taskSituation;

    /**
     * 预计完成时间
     */
    @ImportCell
    @ExportCell(columnName = "预计完成时间")
    private Date esitmateDate;

    /**
     * 实际完成时间
     */
    @ImportCell
    @ExportCell(columnName = "实际完成时间")
    private Date actualDate;

    /**
     * 任务完成情况评价
     */
    @ImportCell
    @ExportCell(columnName = "任务完成情况评价")
    private String summary;

    /**
     * 超时或省时原因
     */
    @ImportCell
    @ExportCell(columnName = "超时或省时原因")
    private String reason;

    /**
     * 任务权重
     */
    @ImportCell
    @ExportCell(columnName = "任务权重")
    private String weight;

    /**
     * 阶段id
     */
    private Long stageId;

}
