package com.dayou.entity;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 市场人员日志
 * </p>
 *
 * @author wucl
 * @since 2023-01-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "市场人员日志")
public class MarketLog extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 日志内容
     */
    @ImportCell
    @ExportCell(columnName = "日志内容")
    private String taskSituation;

    /**
     * 日志日期
     */
    @ImportCell
    @ExportCell(columnName = "日志日期")
    private LocalDate logDate;


}
