package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 菜单
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "菜单")
public class Menu extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 菜单编号
     */
    @ImportCell
    @ExportCell(columnName = "菜单编号")
    private String menuNo;

    /**
     * 菜单code
     */
    @ImportCell
    @ExportCell(columnName = "菜单code")
    private String menuCode;
    /**
     * 菜单名称
     */
    @ImportCell
    @ExportCell(columnName = "菜单名称")
    private String name;

    /**
     * 父级菜单id
     */
    @ImportCell
    @ExportCell(columnName = "父级菜单id")
    private Long parentId;

    /**
     * 显示顺序
     */
    @ImportCell
    @ExportCell(columnName = "显示顺序")
    private Integer orderNum;

    /**
     * 菜单类型 菜单/按钮
     */
    @ImportCell
    @ExportCell(columnName = "菜单类型 菜单/按钮")
    private String menuType;

    /**
     * 状态:1:正常 0:禁用
     */
    @ImportCell
    @ExportCell(columnName = "状态:1:正常 0:禁用")
    private Boolean enabled;

    /**
     * pc端url
     */
    @ImportCell
    @ExportCell(columnName = "pc端url")
    private String pcUrl;

    /**
     * pc端图标
     */
    @ImportCell
    @ExportCell(columnName = "pc端图标")
    private String pcIcon;

    /**
     * 是否缓存页面
     */
    @ImportCell
    @ExportCell(columnName = "是否缓存页面")
    private Boolean cachedViews;


}
