package com.dayou.entity;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 便签
 * </p>
 *
 * @author wucl
 * @since 2023-01-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "便签")
public class Note extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 日期
     */
    @ImportCell
    @ExportCell(columnName = "日期")
    private LocalDate noteDate;

    /**
     * 便签内容
     */
    @ImportCell
    @ExportCell(columnName = "便签内容")
    private String content;


}
