package com.dayou.entity;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 系统操作日志
 * </p>
 *
 * @author wucl
 * @since 2023-01-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "系统操作日志")
public class OperationLog extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 模块标题
     */
    @ImportCell
    @ExportCell(columnName = "模块标题")
    private String title;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String operationType;

    /**
     * 请求URL
     */
    @ImportCell
    @ExportCell(columnName = "请求URL")
    private String operationUrl;

    /**
     * 请求参数
     */
    @ImportCell
    @ExportCell(columnName = "请求参数")
    private String operationParam;

    /**
     * 操作时间
     */
    @ImportCell
    @ExportCell(columnName = "操作时间")
    private LocalDateTime operationTime;

    /**
     * 客户端ip
     */
    private String ip;


}
