package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 员工目标
 * </p>
 *
 * @author wucl
 * @since 2023-02-14
 */
@Data
@ExcelSheet(sheetName = "员工目标")
public class UserTarget {

    private static final long serialVersionUID=1L;

    /**
     * 主键自增id
     *
     * @ignore
     */
    @TableId(value = "id", type = IdType.AUTO)
    protected Long id;

    /**
     * 本年签约目标
     */
    @ImportCell
    @ExportCell(columnName = "本年签约目标")
    private Double saleTarget;

    /**
     * 本年回款目标
     */
    @ImportCell
    @ExportCell(columnName = "本年回款目标")
    private Double paymentTarget;

    /**
     * 员工id
     */
    private Long userId;


}
