package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.time.LocalDate;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 拜访记录表
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "拜访记录表")
public class Visit extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 拜访类型（初访、回访）
     */
    @ImportCell
    @ExportCell(columnName = "拜访类型（初访、回访）")
    private String visitType;

    /**
     * 拜访时间
     */
    @ImportCell
    @ExportCell(columnName = "拜访时间")
    private LocalDate visitTime;

    /**
     * 拜访地点
     */
    @ImportCell
    @ExportCell(columnName = "拜访地点")
    private String spot;

    /**
     * 沟通内容
     */
    @ImportCell
    @ExportCell(columnName = "沟通内容")
    private String content;

    /**
     * 所属员工id
     */
    private Long userId;


}
