package com.dayou.enums;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/3
 * created with IntelliJ IDEA.
 */
public enum GlobalConfigEnum implements CodeMsgEnumInterface<String,CodeMsgEnumInterface<?,?>[]>{

    FINANCE("FINANCE",Finance.values(),"财务配置"),
    SYS("SYS",Sys.values(),"系统配置")
    ;

    private String key;

    private CodeMsgEnumInterface[] filedValues;

    private String desc;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return key;
    }

    @Override
    public CodeMsgEnumInterface[] getMsg() {
        return filedValues;
    }

    GlobalConfigEnum(String key, CodeMsgEnumInterface[] filedValues, String desc) {
        this.key = key;
        this.filedValues = filedValues;
        this.desc = desc;
    }

    public enum Sys implements CodeMsgEnumInterface<String,String>{


        ;
        private String filed;

        private String value;

        private String desc;

        Sys(String filed, String value, String desc) {
            this.filed = filed;
            this.value = value;
            this.desc = desc;
        }

        @Override
        public String getCode() {
            return filed;
        }

        @Override
        public String getMsg() {
            return desc;
        }
    }
    public enum Finance implements CodeMsgEnumInterface<String,String>{

        NON_MARKETER_MONTH_BROKERAGE("NON_MARKETER_MONTH_BROKERAGE",null,"土规部非市场人员每月固定预提金额"),

        MARKETER_BROKERAGE_PERCENTAGE("MARKETER_BROKERAGE_PERCENTAGE",null,"土规部市场人员提成比例"),

        PARTICIPANT_BROKERAGE_PERCENTAGE("PARTICIPANT_BROKERAGE_PERCENTAGE",null,"土规部参与项目整体提成比例"),

        MONTH_OF_YEAR("MONTH_OF_YEAR",null,"系统自定义一年月份个数")
        ;

        private String filed;

        private String value;

        private String desc;

        Finance(String filed, String value, String desc) {
            this.filed = filed;
            this.value = value;
            this.desc = desc;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

        @Override
        public String getCode() {
            return filed;
        }

        @Override
        public String getMsg() {
            return desc;
        }
    }
}
