package com.dayou.vo;

import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * 类说明： 项目日志汇总对象
 *
 * @author: wucl
 * @since: 2022/12/8
 * created with IntelliJ IDEA.
 */
@Data
public class ItemLogCollectVO implements Comparable<ItemLogCollectVO>{

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 日志时间
     */
    private LocalDate logDate;

    /**
     * 日志列表
     */
    private List<ItemUserLogVO> logs;

    @Override
    public int compareTo(ItemLogCollectVO o) {
        return o.getLogDate().compareTo(this.getLogDate());
    }
}
