# MBS系统一期使用说明书 #

----------
## 技术栈介绍 ##

MBS（Main Business system） Web应用系统采用前后端分离开发模式，前端技术框架采用Vue2，UI框架采用element-ui.后端编程语言为Java语言，基于主流Spring-boot框架构建。数据访问层框架采用Mybatis-plus.部署方式为单体化独立部署，推荐操作系统为Linux系统。数据库系统为Mysql5.7，前端Http请求通过反向代理转发工具Nginx，访问后端系统接口获取JSON格式数据渲染页面。

## 使用说明 ##



> 系统登录

1. 登录方式为员工工号与密码组合方式登录，员工工号在管理员创建员工时系统自动生成。生成规则为：**公司前缀+入职年份+身份证号码后三位**
2. 所有员工初始化密码为：**12345678** 员工登录后需自己修改自定义密码，若员工密码忘记需向系统管理员申请初始化密码。
3. 系统所有页面需在用户登录后访问，登录后令牌有效期为一小时，若用户一小时之内无任何页面操作。系统将会提示登录过期，跳转页面重新让用户登录。




> 用户权限

1. 此系统采用严格权限控制设计，系统权限资源分为：*目录、菜单、按钮 *三级控制。
2. 权限设计思想：岗位关联权限资源，系统管理员为不同岗位分配各自的岗位权限，再为不同员工挂载不同岗位。使其不同员工拥有操作系统的权限资源，进而达到系统权限的控制。
3. 超级管理员岗位 默认拥有最高最全权限。当系统第一次启动时自动为超级管理员岗挂载上系统所有权限。当系统新添加权限资源时，只需重启项目即可，无需手动为超级管理员分配权限。
4. 系统中的岗位设立以及不同岗位应配置的系统权限。应结合公司具体业务灵活而定，配置原则：应合时宜地为不同岗位分配不同权限。
5. **特别说明：综合设置目录下的菜单设置，应只为系统开发者有权操作。此菜单是为了在开发阶段方便开发人员配置系统菜单时使用。**



> 综合设置>员工管理

1. 支持增删改查操作。
2. 新增页面（员工姓名、性别、身份证号、联系电话、员工类型、在职状态、岗-部门名）必填。
3. 岗-部门名数据来源为部门管理和岗位管理。

> 综合设置>部门管理

1. 支持增删改查操作。
2. 新增页面（部门名称）必填。
3. 岗-部门名数据来源为部门管理和岗位管理。

> 综合设置>岗位管理

1. 支持增删改查操作。
2. 新增页面（岗位名称、所属部门）必填。
3. 部门名数据来源为部门管理。
4. 权限按钮跳转至权限配置页面，左侧权限资源为树状数据结构，打勾即为该岗位拥有此权限，反之没有。

> 综合设置>菜单设置

1. 支持增改查操作。不支持在页面上删除权限资源，若需删除某权限资源请联系管理员。
2. 见用户权限中特别说明条款。


> 项目管理>项目列表

1.  支持增删改查操作。
2.  项目新增中的人员配置，即为配置跟进项目的员工。员工拥有此项目中填写每日日志、查看日志和项目详情的权限。当员工脱离某项目，则失去其上述权限。
3.  排期按钮：设置项目管理阶段的开始结束时间、阶段名字、阶段目标、阶段负责人信息。
4.  当新增第一个阶段时，上个阶段可不选择。编辑修改时，可重新调整当前阶段的上个阶段。（即调整阶段顺序）
5.  新增完阶段后，右侧栏会显示新增的阶段。鼠标点击右侧阶段卡片时，左侧表单则会填充所点击阶段的详细信息，若需修改此阶段信息，在表单上编辑保存即可。
6.  若当左侧表单已填充了阶段信息时想新增阶段，点击下方“清空”按钮即可。
7.  阶段的开始时间和结束时间，当前系统版本没有做数据有效性校验。若需增加可在后期版本中添加。

> 项目管理>日志总览

1. 日志总览入口分为：部门日志和项目日志
2. 部门日志：以部门为查看维度，查看某一部门下所有员工所跟进的各个项目日志汇总。
3. 项目日志：以项目为查看维度，查看某一项目所跟进的员工的所有日志汇总。
4. 查看按钮：跳转至日志总览页面，以二维表的形式展示员工，日期和项目的日志情况，鼠标点击日志内容可弹出日志详细情况。
5. 日志总览为公司或部门领导查看和管理各个员工每日的项目工作情况，不支持领导删除修改新增日志，日志的增删改查功能在跟进项目的员工端操作。

> 项目管理>我的项目

1. 跟进了项目的员工在此页面即可查看所跟进的项目，此页面中仅支持查看项目详情，不支持新增编辑和删除功能。
2. 日志按钮：仅可查看与同项目其他人员的每日日志汇总。
3. 写日志页面，项目名称字段为所选项目自动填充。日期为默认当前日期。每日任务情况必填（最长大小200字符），其他字段非必填。

> 项目管理>我的日志

1. 以列表的方式展示当前登录人所提交的所有日志，此页面支持查看详情和删除功能，查看详情页面可修改已提交的日志。


> 首页>项目进度首页

1. 以甘特图的方式总览当前系统所有项目进行情况。在当前时间节点下，各个项目所处的阶段（已完成、进行中、未开始）。
2. 数据来源为系统建立的项目和项目划分的排期阶段。系统根据排期的时间阶段来判定项目各个阶段所处的进行状态。
3. 此页面仅支持总览，在宏观上查看项目进行情况。不支持在此页面上修改项目阶段信息，如需修改在项目排期里面修改。


> 首页>项目日志首页

1. 此页面统计当前日期已提交的日志数量、系统已提交的日志总数、最新提交人和最新提交日期。
2. 折线图统计以当前日期近10天系统已提交日志数量的变化。不同颜色折线图代表不同项目的统计。需注意：**折现图为数据堆叠方式统计**