package com.dayou.brokerage;

import com.dayou.bo.BrokerageDetailBO;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.brokerage.factory.BrokerageCalculateFactory;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.ItemBrokerageDetail;

import java.math.BigDecimal;
import java.util.Set;

/**
 * 类说明：市场人员提成计算器接口
 *
 * @author: wucl
 * @since: 2023/3/3
 * created with IntelliJ IDEA.
 */
public interface MarketerBrokerageCalculator extends BrokerageCalculator {

    /**
     * 预估提成金额(个人计算)
     */
    BrokerageDetailBO predictPersonalAmount(BrokerageDetailBO bo);

    /**
     * 预估提成金额(团队抽成计算)
     */
    Set<ItemBrokerageDetail> predictTeamShareAmount(BrokerageDetailBO bo, Set<LeaderRatioBO> leaderRatioBOSet);

    /**
     * 市场人员实际提成金额
     */
    BigDecimal actualAmount(BigDecimal predictAmount);

    /**
     * 市场人员预提金额
     * @return
     */
    BigDecimal aheadAmount(BigDecimal predictAmount);




}
