package com.dayou.service;
import com.dayou.brokerage.annotation.DoBrokerage;
import com.dayou.brokerage.constants.BrokerageRule;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.Item;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.entity.ItemBrokerageGeneral;
import com.dayou.vo.ItemStatVO;
import com.dayou.vo.ItemVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

import static com.dayou.enums.OperationTypeEnum.ADD;

/**
 * <p>
 * 项目信息表 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface IItemService extends IService<Item> {

        Page<ItemVO> selectPage(Page page, ItemDTO item);

        ItemVO detail(Long id);

        Long add(ItemDTO itemDTO);

        Boolean update(ItemDTO itemDTO);

        Boolean delete(Long id);

        ItemStatVO stat();

        Page<ItemVO> xSelectPage(Page page, ItemDTO item);


}
