package com.dayou.service;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.bo.PrivilegeTreeBO;
import com.dayou.condition.LoginCondition;
import com.dayou.dto.LoginDTO;
import com.dayou.dto.UpdatePasswordDTO;
import com.dayou.dto.UserBaseDetailDTO;
import com.dayou.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.UserVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 基础用户 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface IUserService extends IService<User> {

        Page<User> selectPage(Page page,User user);

        UserVO detail(Long id);

        Boolean add(User user);

        Boolean update(User user);

        Boolean delete(Long id);

        XSSFWorkbook generateImportTemplate();

        void importExcel(MultipartFile file);

        XSSFWorkbook exportExcel(User user);

        LoginDTO login(LoginCondition loginCondition);

        UserBaseDetailDTO baseInfo(String token);

        Set<PrivilegeTreeBO> privilegesList(String token);

        Set<PrivilegeTreeBO> privilegesTree(String token);

    void saveOrUpdateById(User user);

        Page<UserVO> xPage(Page page, UserVO userVO);

    Boolean xUpdate(UserVO user);

    Boolean xSave(UserVO user);

    Boolean restPassword(Long id);

    Boolean updatePassword(UpdatePasswordDTO passwordDTO);

    Set<Long> getJuniorUserId(Long userId);

    Set<LeaderRatioBO> getLeaderRatioBO(Long userId);

    Set<Long> getLeaderPostInDepartment(Long postId,Long departmentId,Set<Long> parentPostIds);

    Long getDepartmentIdByUserId(Long userId);
}
