package com.dayou.service.impl;

import com.dayou.entity.BrokerageBaseAmount;
import com.dayou.mapper.BrokerageBaseAmountMapper;
import com.dayou.service.IBrokerageBaseAmountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.google.common.cache.LoadingCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 自定义提成基数 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
@Service
public class BrokerageBaseAmountServiceImpl extends ServiceImpl<BrokerageBaseAmountMapper, BrokerageBaseAmount> implements IBrokerageBaseAmountService {


    @Autowired
    private LoadingCache<Long, BigDecimal> baseAmountsCache;
    @Override
    @SuppressWarnings("unchecked")
    public Page<BrokerageBaseAmount> selectPage(Page page,BrokerageBaseAmount brokerageBaseAmount){
        return this.page(page, new QueryWrapper<BrokerageBaseAmount>(brokerageBaseAmount));
    }


    @Override
    public BrokerageBaseAmount detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(BrokerageBaseAmount brokerageBaseAmount){
        return  this.save(brokerageBaseAmount);
    }

    @Override
    public Boolean update(BrokerageBaseAmount brokerageBaseAmount){
        boolean b = this.updateById(brokerageBaseAmount);
        this.cacheBaseAmount();
        return b;
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    public void cacheBaseAmount(){
        List<BrokerageBaseAmount> list = this.list();
        list.stream().forEach(x->{
            baseAmountsCache.put(x.getUserId(),x.getBaseAmount());
        });
    }
}
