package com.dayou.service.impl;

import com.dayou.entity.BrokeragePostRatio;
import com.dayou.mapper.BrokeragePostRatioMapper;
import com.dayou.service.IBrokeragePostRatioService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 领导岗位抽成率 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
@Service
public class BrokeragePostRatioServiceImpl extends ServiceImpl<BrokeragePostRatioMapper, BrokeragePostRatio> implements IBrokeragePostRatioService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<BrokeragePostRatio> selectPage(Page page,BrokeragePostRatio brokeragePostRatio){
        return this.page(page, new QueryWrapper<BrokeragePostRatio>(brokeragePostRatio));
    }


    @Override
    public BrokeragePostRatio detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(BrokeragePostRatio brokeragePostRatio){
        return  this.save(brokeragePostRatio);
    }

    @Override
    public Boolean update(BrokeragePostRatio brokeragePostRatio){
        return  this.updateById(brokeragePostRatio);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
