package com.dayou.service.impl;

import com.dayou.dto.MarketStatDTO;
import com.dayou.mapper.MarketStatMapper;
import com.dayou.service.IMarketStatService;
import com.dayou.utils.DateUtils;
import com.dayou.vo.MarketStatVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/13
 * created with IntelliJ IDEA.
 */
@Service
public class MarketStatServiceImpl implements IMarketStatService {

    @Autowired
    private MarketStatMapper marketStatMapper;

    @Override
    public MarketStatVO marketStat(MarketStatDTO dto) {

        //todo 市场部首页统计时间段修改，只把月回款修改了，年回款和年签约还没有改
        LocalDate lastMonth23 = LocalDate.now();
        if (dto.getMonth()==null || dto.getYear()==null){
            lastMonth23 = DateUtils.getLastMonth23(LocalDate.now().getYear(), LocalDate.now().getMonthValue() - 1);
        }else {
            lastMonth23 = DateUtils.getLastMonth23(dto.getYear(), dto.getMonth() - 1);
        }
        return marketStatMapper.marketStat(dto,lastMonth23);
    }

    @Override
    public BigDecimal currentMonthPayment(Long userId) {
        LocalDate lastMonth23 = DateUtils.getLastMonth23(LocalDate.now().getYear(), LocalDate.now().getMonthValue() - 1);
        BigDecimal currentMontAmount = marketStatMapper.currentMonthPayment(userId,lastMonth23);
        return currentMontAmount;
    }

    @Override
    public BigDecimal currentYearPayment(Long userId) {
        BigDecimal currentYearPayment = marketStatMapper.currentYearPayment(userId);
        return currentYearPayment;
    }


}
