package com.dayou.service.impl;

import com.dayou.entity.OperationLog;
import com.dayou.mapper.OperationLogMapper;
import com.dayou.service.IOperationLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 系统操作日志 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-01-16
 */
@Service
public class OperationLogServiceImpl extends ServiceImpl<OperationLogMapper, OperationLog> implements IOperationLogService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<OperationLog> selectPage(Page page,OperationLog operationLog){
        return this.page(page, new QueryWrapper<OperationLog>(operationLog));
    }


    @Override
    public OperationLog detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(OperationLog operationLog){
        return  this.save(operationLog);
    }

    @Override
    public Boolean update(OperationLog operationLog){
        return  this.updateById(operationLog);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
