package com.dayou.service.impl;

import com.dayou.entity.UserTarget;
import com.dayou.mapper.UserTargetMapper;
import com.dayou.service.IUserTargetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.utils.LoginContext;
import com.dayou.vo.UserTargetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 员工目标 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-02-14
 */
@Service
public class UserTargetServiceImpl extends ServiceImpl<UserTargetMapper, UserTarget> implements IUserTargetService {


    @Autowired
    private UserTargetMapper userTargetMapper;
    @Override
    public UserTarget detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(UserTarget userTarget){
        Long userId = LoginContext.getUserId();
        UserTarget ut = this.getOne(new LambdaQueryWrapper<UserTarget>().eq(UserTarget::getUserId, userId));
        if (ut==null){
            userTarget.setUserId(userId);
           return this.save(userTarget);
        }
        ut.setSaleTarget(userTarget.getSaleTarget());
        ut.setPaymentTarget(userTarget.getPaymentTarget());
        return  this.updateById(ut);
    }

    @Override
    public Boolean update(UserTarget userTarget){
        return  this.updateById(userTarget);
    }

    @Override
    public List<UserTargetVO> getList(UserTargetVO userTargetVO) {
        List<UserTargetVO> list = userTargetMapper.getList(userTargetVO);
        return list;
    }

}
