/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 50717
 Source Host           : localhost:3306
 Source Schema         : item-management

 Target Server Type    : MySQL
 Target Server Version : 50717
 File Encoding         : 65001

 Date: 08/02/2023 15:10:14
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for menu
-- ----------------------------
DROP TABLE IF EXISTS `menu`;
CREATE TABLE `menu`  (
  `id` bigint(32) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `menu_no` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单编号',
  `menu_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单code',
  `name` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `parent_id` bigint(32) NULL DEFAULT NULL COMMENT '父级菜单id',
  `order_num` int(4) NULL DEFAULT NULL COMMENT '显示顺序',
  `menu_type` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单类型 菜单/按钮',
  `enabled` bit(1) NOT NULL DEFAULT b'1' COMMENT '状态:1:正常 0:禁用',
  `pc_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'pc端url',
  `pc_icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'pc端图标',
  `cached_views` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否缓存页面',
  `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '逻辑删除标识:1:删除 0:未删除',
  `created` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `modified` timestamp(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `id`(`id`) USING BTREE,
  UNIQUE INDEX `menu_no`(`menu_no`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 67 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of menu
-- ----------------------------
INSERT INTO `menu` VALUES (1, '9aaadb20-0cbc-4de4-9068-9dc93606b6be', '_view_index', '首页', NULL, 1, '目录', b'1', '/index', 'muxg', b'0', b'0', '2022-11-29 16:34:48', '2022-11-29 16:38:00.000000');
INSERT INTO `menu` VALUES (2, '61d0a6f2-9ca8-46e7-a406-6193bf47b71a', '_view_index_rate', '项目进度首页', 1, 1, '菜单', b'1', '/index/item/rate', 'v', b'0', b'0', '2022-11-29 16:37:22', '2022-11-29 16:37:22.000000');
INSERT INTO `menu` VALUES (3, 'fa3e25ee-3b3a-4564-90b0-7dc2245c627d', '_view_index_logs', '项目日志首页', 1, 2, '菜单', b'1', '/index/item/log', 'muxb', b'0', b'0', '2022-11-29 16:38:32', '2022-11-29 16:38:32.000000');
INSERT INTO `menu` VALUES (4, '795fd05f-6d62-44e0-9464-a2b10cf8a712', '_view_setting', '综合设置', NULL, 4, '目录', b'1', '/setting', 'muxf', b'0', b'0', '2022-12-02 14:46:00', '2022-12-05 10:16:56.000000');
INSERT INTO `menu` VALUES (5, '2114b3d2-91d4-4c7e-9b04-344950bfbe17', '_views_set_menu', '菜单设置', 4, 2, '菜单', b'1', '/setting/menus', 'r', b'0', b'0', '2022-12-02 14:47:35', '2022-12-02 15:04:56.000000');
INSERT INTO `menu` VALUES (6, 'bd020a95-d8de-4938-90a0-0d2efcf87cda', '_view_item', '项目管理', NULL, 2, '目录', b'1', '/item', 'r', b'0', b'0', '2022-12-05 09:49:39', '2022-12-05 10:16:57.000000');
INSERT INTO `menu` VALUES (11, '38b36b01-54e9-4c36-9343-1902b8b5f4ae', '_view_department', '部门管理', 4, 0, '菜单', b'1', '/setting/department', 'n', b'0', b'0', '2022-12-05 12:54:42', '2022-12-05 13:01:07.000000');
INSERT INTO `menu` VALUES (12, 'ebfaf59e-c07d-48ad-aed0-8f8b31ace36d', '_view_post', '岗位管理', 4, 1, '菜单', b'1', '/setting/post', 'gg', b'0', b'0', '2022-12-05 13:03:39', '2022-12-05 13:03:39.000000');
INSERT INTO `menu` VALUES (13, '2cca60d2-19bd-4b99-be47-2277c0c8bebf', '_view_user', '员工管理', 4, -1, '菜单', b'1', '/setting/user', 'i', b'0', b'0', '2022-12-05 13:05:50', '2022-12-05 13:05:50.000000');
INSERT INTO `menu` VALUES (14, 'c426bf47-cf16-406f-b922-280eeacef149', '_view_item_list', '项目列表', 6, 0, '菜单', b'1', '/item/list', 'a', b'0', b'0', '2022-12-05 13:07:22', '2022-12-05 13:07:22.000000');
INSERT INTO `menu` VALUES (15, '0209fe37-1b2e-4062-bde7-cb89e6bca57d', '_view_item_plan', '项目排期', 6, 1, '菜单', b'1', '/item/plan', 'muxe', b'0', b'1', '2022-12-05 13:07:35', '2022-12-16 10:11:06.632230');
INSERT INTO `menu` VALUES (16, '60fe7887-06f5-4439-9b5b-a72b292ccc7e', '_view_my_item', '我的项目', 6, 2, '菜单', b'1', '/item/list/me', 'aa', b'0', b'0', '2022-12-05 13:07:47', '2022-12-09 16:38:47.373260');
INSERT INTO `menu` VALUES (17, '71e811f8-e90b-4d67-a4be-3776070cca4c', '_view_my_logs', '我的日志', 6, 3, '菜单', b'1', '/logs/me', 'oo', b'0', b'0', '2022-12-05 13:07:53', '2022-12-05 13:07:53.000000');
INSERT INTO `menu` VALUES (18, '79eb0cb4-74a0-423b-aa56-a67e625cc0f9', '_view_department_add', '新增', 11, NULL, '按钮', b'1', '/setting/department/add', 'b', b'0', b'0', '2022-12-05 14:31:40', '2022-12-05 14:31:40.000000');
INSERT INTO `menu` VALUES (19, '8eb3cb4d-1421-4e56-9473-8b291ad7b245', '_view_department_remove', '删除', 11, 2, '按钮', b'1', '/setting/department/delete', '', b'0', b'0', '2022-12-05 14:44:57', '2022-12-05 14:44:57.000000');
INSERT INTO `menu` VALUES (20, '1f5e2ffd-9780-4a0d-ba2a-490185226743', '_view_department_edit', '编辑', 11, 3, '按钮', b'1', '/setting/department/edit', '', b'0', b'0', '2022-12-05 14:45:53', '2022-12-05 14:45:53.000000');
INSERT INTO `menu` VALUES (21, '492a745a-3aa5-4a14-9a1a-18e27f36953e', '_views_set_post_edit', '编辑', 12, 1, '按钮', b'1', '/setting/post/edit', '', b'0', b'0', '2022-12-05 17:07:30', '2022-12-05 17:07:30.000000');
INSERT INTO `menu` VALUES (22, 'b5d7dbcd-1099-49ca-a457-84af4ca1a97d', '_views_set_post_remove', '删除', 12, 2, '按钮', b'1', '/setting/post/remove', '', b'0', b'0', '2022-12-05 17:08:30', '2022-12-05 17:08:30.000000');
INSERT INTO `menu` VALUES (23, '9d31b055-7d01-472e-a874-b7b3629dbbc0', '_views_set_post_auth', '权限', 12, 3, '按钮', b'1', '/setting/post/auth', '', b'0', b'0', '2022-12-05 17:09:13', '2022-12-05 17:09:13.000000');
INSERT INTO `menu` VALUES (24, '65ecea82-bd1c-48a8-b7d9-054a0b541a3d', '_view_post_add', '新增', 12, 4, '按钮', b'1', '/setting/post/add', '', b'0', b'0', '2022-12-05 17:22:16', '2022-12-05 17:22:16.000000');
INSERT INTO `menu` VALUES (25, 'da2d783e-8537-4a54-bf36-55402a87772d', '_views_user_detail', '详情', 13, 1, '按钮', b'1', '/setting/user/detail', '', b'0', b'0', '2022-12-06 10:57:01', '2022-12-06 10:57:01.000000');
INSERT INTO `menu` VALUES (26, 'e16e8bdd-dde3-4750-9d50-e5db3eec7b40', '_views_user_remove', '删除', 13, 2, '按钮', b'1', '/setting/user/delete', '', b'0', b'0', '2022-12-06 10:58:00', '2022-12-06 10:58:00.000000');
INSERT INTO `menu` VALUES (27, 'da9a698d-b83a-4ae4-95d2-a9e8559fa53f', '_views_user_add', '新增', 13, 3, '按钮', b'1', '/setting/user/add', '', b'0', b'0', '2022-12-06 12:40:42', '2022-12-06 12:40:42.000000');
INSERT INTO `menu` VALUES (28, 'cbc84707-fa79-4ddd-986d-33afaa2e7877', '_views_item_plan', '排期', 14, 1, '按钮', b'1', '/item/plan', 'l', b'0', b'0', '2022-12-09 14:03:27', '2022-12-16 10:10:55.000041');
INSERT INTO `menu` VALUES (29, 'cf5e7dce-ac0b-446d-bb1d-4b311713dd10', '_views_item_detail', '详情', 14, 2, '按钮', b'1', '/item/detail', 'j', b'0', b'0', '2022-12-09 14:04:11', '2022-12-09 14:04:11.000000');
INSERT INTO `menu` VALUES (30, '1b4a78fe-7aa6-4f67-9646-1e3f1e6f414c', '_views_item_remove', '删除', 14, 3, '按钮', b'1', '/item/delete', 'q', b'0', b'0', '2022-12-09 14:04:26', '2022-12-09 14:04:26.000000');
INSERT INTO `menu` VALUES (31, 'da799820-f4aa-4501-b9e2-c1257890cf44', '_views_item_add', '新增', 14, 4, '按钮', b'1', '/item/add', 'oo', b'0', b'0', '2022-12-09 14:10:23', '2022-12-09 14:10:23.000000');
INSERT INTO `menu` VALUES (32, '8a2bae68-93fb-4d3e-bb4c-b3900288f6fb', '_view_item_log_write', '写日志', 16, 3, '按钮', b'1', '/item/me/write', 'aa', b'0', b'0', '2022-12-09 16:06:46', '2022-12-09 16:06:46.000000');
INSERT INTO `menu` VALUES (33, 'f6f7e6ae-6343-4907-9057-2e1cf317b606', '_views_item_rate', '日志', 16, 1, '按钮', b'1', '/item/rate', 'muxb', b'0', b'0', '2022-12-09 16:12:40', '2022-12-16 10:19:45.690030');
INSERT INTO `menu` VALUES (34, '318c14bc-e0d1-44b1-8df1-28e755e5c990', '_views_item_detail_readonly', '详情', 16, 2, '按钮', b'1', '/item/detail/readonly', 'l', b'0', b'0', '2022-12-09 16:12:52', '2022-12-09 16:12:52.000000');
INSERT INTO `menu` VALUES (35, '76f6d8cb-051a-4bcb-b4c1-a771eefddf61', '_views_logs_entry', '日志总览', 6, 5, '菜单', b'1', '/item/log/entry', 'r', b'0', b'0', '2022-12-15 11:28:10', '2022-12-15 15:01:58.036119');
INSERT INTO `menu` VALUES (36, 'b70fc63b-1505-4a3c-bb0a-35eeddff25e4', '_views_logs_collect', '查看', 35, 1, '按钮', b'1', '/item/log/collect', 'muxl', b'0', b'0', '2022-12-15 14:59:22', '2022-12-15 14:59:22.000000');
INSERT INTO `menu` VALUES (37, 'bdc38765-925a-45c9-9ba1-78bd270e6d37', '_views_log_detail', '详情', 17, 1, '按钮', b'1', '/item/log/detail', 'muxc', b'0', b'0', '2022-12-15 16:03:03', '2022-12-15 16:03:03.000000');
INSERT INTO `menu` VALUES (38, '5acd26f7-07a8-4028-8b49-2136b9a27bce', '_views_log_remove', '删除', 17, 2, '按钮', b'1', '/item/log/delete', 'cc', b'0', b'0', '2022-12-15 16:04:04', '2022-12-15 16:04:04.000000');
INSERT INTO `menu` VALUES (39, '6bbe9bd9-1fbc-4600-9197-1f21d7ccb50a', '_views_user_template', '下载模板', 13, 4, '按钮', b'1', '/setting/user/template', 'ff', b'0', b'0', '2022-12-30 10:40:11', '2022-12-30 10:40:11.000000');
INSERT INTO `menu` VALUES (40, '6fdbfb94-0f48-4edb-9465-9a979abf9fd3', '_views_user_import', '导入员工', 13, 5, '按钮', b'1', '/setting/user/import', 'i', b'0', b'0', '2022-12-30 10:41:42', '2022-12-30 10:41:42.000000');
INSERT INTO `menu` VALUES (41, '1eda9702-4cb6-44f6-9d2c-871e8d04e08e', '_view_market', '市场管理', NULL, 3, '目录', b'1', '/market', 'v', b'0', b'0', '2023-01-10 14:55:19', '2023-01-10 14:55:19.000000');
INSERT INTO `menu` VALUES (42, '9c9e521c-fd9c-467f-abc9-e06fe9361d99', '_views_market_customer', '客户管理', 41, 1, '菜单', b'1', '/market/customer', 'n', b'0', b'0', '2023-01-10 14:57:44', '2023-01-10 14:57:44.000000');
INSERT INTO `menu` VALUES (43, '321dbe97-9afb-4a70-a2eb-a395f1078600', '_views_market_business', '商机管理', 41, 2, '菜单', b'1', '/market/business', 'muxk', b'0', b'0', '2023-01-10 14:58:23', '2023-01-10 14:58:23.000000');
INSERT INTO `menu` VALUES (44, '8cf9ddef-cde4-49ad-aee9-61069f324434', '_views_market_payment', '回款管理', 41, 3, '菜单', b'1', '/market/payment', 'nn', b'0', b'0', '2023-01-10 14:58:40', '2023-01-10 14:58:40.000000');
INSERT INTO `menu` VALUES (45, 'b76efb90-98c1-415f-9e34-668a8b81c898', '_views_market_log', '我的日志', 41, 5, '菜单', b'1', '/market/staff/log', 'muxb', b'0', b'0', '2023-01-10 14:59:30', '2023-01-10 14:59:30.000000');
INSERT INTO `menu` VALUES (46, 'add2e53b-834e-4752-a440-4336cb684418', '_views_market_visit', '拜访记录', 41, 4, '菜单', b'1', '/market/visit', 'aa', b'0', b'0', '2023-01-10 15:00:02', '2023-01-10 15:00:02.000000');
INSERT INTO `menu` VALUES (47, '9727bac3-f5c5-4d75-b7e5-91ab57fe02a7', '_views_market_customer_add', '新增', 42, 1, '按钮', b'1', '/market/customer/add', '', b'0', b'0', '2023-01-10 15:23:52', '2023-01-10 15:23:52.000000');
INSERT INTO `menu` VALUES (48, '7a95180c-b66f-46a7-9947-964c248da089', '_views_market_customer_remove', '删除', 42, 2, '按钮', b'1', '/market/customer/delete', '', b'0', b'0', '2023-01-10 15:25:06', '2023-01-10 15:25:06.000000');
INSERT INTO `menu` VALUES (49, 'abada02e-5985-4f35-a655-37da4173692e', '_views_market_customer_detail', '详情', 42, 3, '按钮', b'1', '/market/customer/detail', '', b'0', b'0', '2023-01-10 15:25:49', '2023-01-10 15:25:49.000000');
INSERT INTO `menu` VALUES (50, '381aada5-6b89-49c0-8ab3-98056cbf65d3', '_views_market_business_detail', '详情', 43, 1, '按钮', b'1', '/market/business/detail', '', b'0', b'0', '2023-01-11 12:44:50', '2023-01-11 12:44:50.000000');
INSERT INTO `menu` VALUES (51, 'ea79ba6e-6cab-49d3-b7db-bc56b835a794', '_views_market_business_state', '流转', 43, 2, '按钮', b'1', '/market/business/state', '', b'0', b'0', '2023-01-11 12:45:24', '2023-01-11 12:45:24.000000');
INSERT INTO `menu` VALUES (52, '9c206006-1d28-4a9c-b5d4-91b45b14db3a', '_views_market_business_add', '新增', 43, 3, '按钮', b'1', '/market/business/save', '', b'0', b'0', '2023-01-11 13:29:39', '2023-01-11 13:29:39.000000');
INSERT INTO `menu` VALUES (53, 'b4a82a11-b447-48f7-aa95-9261a42ede46', '_views_market_payment_list', '回款明细', 44, 1, '按钮', b'1', '/market/payment/list', '', b'0', b'0', '2023-01-11 15:17:26', '2023-01-11 15:17:26.000000');
INSERT INTO `menu` VALUES (54, 'd33a929e-1ea9-435b-aa47-7269ba81f414', '_views_market_payment_add', '新增回款', 44, 2, '按钮', b'1', '/market/payment/add', '', b'0', b'0', '2023-01-11 15:17:36', '2023-01-11 15:17:36.000000');
INSERT INTO `menu` VALUES (55, 'c72fc6ca-02ba-4d0d-9e73-e7af0b94b185', '_views_market_visit_add', '新增', 46, 1, '按钮', b'1', '/market/visit/save', 'mm', b'0', b'0', '2023-01-12 08:49:22', '2023-01-12 08:49:22.000000');
INSERT INTO `menu` VALUES (56, 'b322a5ad-cb86-4adc-a908-7b36a77377e2', '_views_market_visit_detail', '详情', 46, 2, '按钮', b'1', '/market/visit/detail', '', b'0', b'0', '2023-01-12 08:50:04', '2023-01-12 08:50:04.000000');
INSERT INTO `menu` VALUES (57, 'e275ec08-a360-41dc-af0d-526a5637d14d', '_views_market_visit_remove', '删除', 46, 3, '按钮', b'1', '/market/visit/delete', 'gg', b'0', b'0', '2023-01-12 08:50:42', '2023-01-12 08:50:42.000000');
INSERT INTO `menu` VALUES (58, '30be9c0f-fcdb-43ea-8a8c-2d301de6d3c5', '_views_market_index', '市场管理首页', 1, 3, '菜单', b'1', '/market/index', 'v', b'0', b'0', '2023-01-12 09:36:35', '2023-01-12 09:36:35.000000');
INSERT INTO `menu` VALUES (59, '63240906-0df6-48e6-967b-d9a1005677ec', '_views_market_log_add', '新增', 45, 1, '按钮', b'1', '/market/log/save', '', b'0', b'0', '2023-01-13 11:11:30', '2023-01-13 11:11:30.000000');
INSERT INTO `menu` VALUES (60, 'f1e0c44d-1dde-45a2-8e01-fa9e2c08a4f4', '_views_market_log_detail', '详情', 45, 2, '按钮', b'1', '/market/log/detail', '', b'0', b'0', '2023-01-13 11:42:36', '2023-01-13 11:42:36.000000');
INSERT INTO `menu` VALUES (61, '7a42ea4c-f845-4af1-9551-dda0a53a7e52', '_views_market_log_remove', '删除', 45, 3, '按钮', b'1', '/market/log/delete', '', b'0', b'0', '2023-01-13 11:43:19', '2023-01-13 11:43:19.000000');
INSERT INTO `menu` VALUES (62, '9c362eb3-87be-4f37-a4b5-1622b8e90e92', '_views_market_log_collect', '日志汇总', 41, 6, '菜单', b'1', '/market/log/collect', 'muxe', b'0', b'0', '2023-01-13 13:50:48', '2023-01-13 13:50:48.000000');
INSERT INTO `menu` VALUES (63, '276f40cc-c070-46c7-b8bb-e494299c420e', '_views_customer_template', '模板下载', 42, 4, '按钮', b'1', '/market/customer/template', '', b'0', b'0', '2023-01-13 14:16:47', '2023-01-13 14:16:47.000000');
INSERT INTO `menu` VALUES (64, '55aec40f-3628-4cf1-9706-575fb7060373', '_views_customer_import', '导入', 42, 5, '按钮', b'1', '/market/customer/import', '', b'0', b'0', '2023-01-13 14:17:20', '2023-01-13 14:17:20.000000');
INSERT INTO `menu` VALUES (65, 'cae18782-dd83-40e1-ba37-c46af0542797', '_views_operation_log', '操作日志', 4, 3, '菜单', b'1', '/setting/operation/log', 'cc', b'0', b'0', '2023-01-16 11:36:47', '2023-01-16 11:36:47.000000');
INSERT INTO `menu` VALUES (66, '48e55139-5ba2-4703-9b1d-790a629f8e19', '_views_item_add', '新增', 16, 4, '按钮', b'1', '/item/add', 'mm', b'0', b'0', '2023-02-08 15:07:43', '2023-02-08 15:07:43.000000');

SET FOREIGN_KEY_CHECKS = 1;
